is_system=True) reject changes to name,description, and permissions with a 403 — only is_default may be toggledpermission_set_id (uuid): ID of the permission set to update.permissions triggers a SpiceDB scope sync.edit/delete/publish is broader than view, view isall if the broader scopes mix teamproject, since neither implies the other).X-Organization-Id (int, optional): Override the org scoping these permission sets.manage (admin) access to the specified organization.data.permission_set.curl --location --globoff --request PUT 'https:///api/v2/permission-sets/' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"permissions": {
"agents": {
"view": "all",
"edit": "team",
"delete": null,
"publish": "own",
"create": true
}
}
}'{
"success": true,
"message": "string",
"data": {
"permission_set": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization_id": 0,
"name": "string",
"description": "string",
"is_default": true,
"is_system": true,
"is_deleted": true,
"permissions": {
"property1": "string",
"property2": "string"
}
}
}
}